TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IntegralPoints ( elt-ord^rat k ) -> list L

### Description

<shortdoc> The 'IntegralPoints' function computes all integral points on an elliptic curve in normal form over the rational integers. The result is returned as a list of all x-y pairs solving the equation. 'IntegralPoints(k)' computes all integral points of Mordell's equation 'y^2 = x^3+ k', where 'k' is a rational integer. </shortdoc>

### Examples

IntegralPoints(17);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack